//Copyright 2016 J.-M. CHESNEAUX, F. JEZEQUEL, J.-L. LAMOTTE
//
//This file is part of CADNA.
//
//    CADNA is free software: you can redistribute it and/or modify it
//    under the terms of the GNU Lesser General Public License as
//    published by the Free Software Foundation, either version 3 of the
//    License, or (at your option) any later version.
//
//    CADNA is distributed in the hope that it will be useful, but WITHOUT
//    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
//    or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General
//    Public License for more details.
//
//    You should have received a copy of the GNU Lesser General Public
//    License along with CADNA. If not, see
//    <http://www.gnu.org/licenses/>.
//
#include "cadna_private.h"
#include "cadna.h"


//****f* cadna_type/cadna_set_rnd_arr()
//    NAME
//     cadna_set_rnd_arr
//
//    SYNOPSIS
//      void cadna_set_rnd_arr()
//
//    FUNCTION
//     The cadna_set_rnd_arr() function sets the rounding mode to the nearest
//      
//     BE CARREFULL : this function is only for CADNA expert. It can change 
//     the CADNA behaviour and generates errors. 
//    INPUTS
//   
//    RESULT

//*****
//   You can use this space for remarks that should not be included
//   in the documentation.
//    EXAMPLE
//      
//  
//    NOTES
//  
//  
//    BUGS
//  
//  
//      
//      
//  /



void cadna_set_rnd_arr()
{
  rnd_arr();
}



//****f* cadna_type/cadna_set_rnd_plinf()
//    NAME
//     cadna_set_rnd_plinf
//
//    SYNOPSIS
//      void cadna_set_rnd_plinf()
//
//    FUNCTION
//     The cadna_set_rnd_plinf() function sets the rounding mode to the nearest
//      
//     BE CARREFULL : this function is only for CADNA expert. It can change 
//     the CADNA behaviour and generates errors. 
//    INPUTS
//   
//    RESULT

//*****
//   You can use this space for remarks that should not be included
//   in the documentation.
//    EXAMPLE
//      
//  
//    NOTES
//  
//  
//    BUGS
//  
//  
//      
//      
//  /



void cadna_set_rnd_plinf()
{
  rnd_plinf();
}


//****f* cadna_type/cadna_set_rnd_moinf()
//    NAME
//     cadna_set_rnd_moinf
//
//    SYNOPSIS
//      void cadna_set_rnd_moinf()
//
//    FUNCTION
//     The cadna_set_rnd_moinf() function sets the rounding mode to the nearest
//      
//     BE CARREFULL : this function is only for CADNA expert. It can change 
//     the CADNA behaviour and generates errors. 
//    INPUTS
//   
//    RESULT

//*****
//   You can use this space for remarks that should not be included
//   in the documentation.
//    EXAMPLE
//      
//  
//    NOTES
//  
//  
//    BUGS
//  
//  
//      
//      
//  /


void cadna_set_rnd_moinf()
{
  rnd_moinf();
}




//****f* cadna_type/cadna_set_rnd_zero()
//    NAME
//     cadna_set_rnd_zero
//
//    SYNOPSIS
//      void cadna_set_rnd_zero()
//
//    FUNCTION
//     The cadna_set_rnd_zero() function sets the rounding mode to the nearest
//      
//     BE CARREFULL : this function is only for CADNA expert. It can change 
//     the CADNA behaviour and generates errors. 
//    INPUTS
//   
//    RESULT

//*****
//   You can use this space for remarks that should not be included
//   in the documentation.
//    EXAMPLE
//      
//  
//    NOTES
//  
//  
//    BUGS
//  
//  
//      
//      
//  /


void cadna_set_rnd_zero()
{
  rnd_zero();
}


